process.env.NODE_ENV = 'production'
import os from 'node:os'
import child_process from 'node:child_process'
import path from 'node:path'
import { createFolder, scriptPaths, useUiPackageJson } from './utils.js'
import chalk from 'chalk';
import { syncAppExt } from './script.app-ext.js'

const { __dirname } = scriptPaths(import.meta.url)
const { version } = useUiPackageJson()
const { green, blue } = chalk;

const parallel = os.cpus().length > 1
const runJob = parallel ? child_process.fork : (module) => import(module);
const { join } = path

syncAppExt()

import './script.clean.js'

console.log(` 📦 Building ${green('v' + version)}...${parallel ? blue(' [multi-threaded]') : ''}\n`)

createFolder('dist')

runJob(join(__dirname, './script.javascript.js'))
// runJob(join(__dirname, './script.css.js'))
